camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Justin Heesemann (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAMEL-10465) camel ahc uses netty 4.0.41 transitively but 4.1.5 explicitly - leads to runtime exceptions
Date Thu, 10 Nov 2016 13:12:59 GMT
Justin Heesemann created CAMEL-10465:
----------------------------------------

             Summary: camel ahc uses netty 4.0.41 transitively but 4.1.5 explicitly - leads
to runtime exceptions
                 Key: CAMEL-10465
                 URL: https://issues.apache.org/jira/browse/CAMEL-10465
             Project: Camel
          Issue Type: Bug
          Components: camel-ahc
    Affects Versions: 2.18.0
            Reporter: Justin Heesemann


See here (not created by myself, but I experienced the same issue with camel-ahc) http://stackoverflow.com/questions/40262870/camel-ahc-ws-netty-runtime-exception/40528271#40528271

I see errors like:
{code}
java.lang.NoSuchMethodError: io.netty.buffer.ByteBuf.forEachByte(Lio/netty/buffer/ByteBufProcessor;)
{code}

When I'm sending http requests via camel-ahc.
A workaround for me is to exclude netty-all 4.1.5 and use netty-all 4.0.41.Final instead

Since there is no version of AsyncHttpClient out there which directly support 4.1.5 I'm not
sure how to handle this if you need both camel-ahc and camel-netty (or whatever else is making
direct use of netty 4.1.5)








--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message